version: '3.8'
services:
  web:
    image: node:lts-alpine
    container_name: under-construction
    ports:
      - "127.0.0.1:8001:8001"
    restart: unless-stopped
    volumes:
      - ./public:/app/public
    environment:
      NODE_ENV: production
    dns:
      - 8.8.8.8       # Google DNS
      - 1.1.1.1       # Cloudflare DNS (backup)
